#include "stdafx.h"
#include ".\aboutdialog.h"
#include "resource.h"

extern void Version2Str(DWORD versionMS, DWORD versionLS, LPTSTR str);
extern void GetFileVersion(LPCTSTR fileName, DWORD& versionMS, DWORD& versionLS);

CAboutDialog::CAboutDialog(void) : CTrueDialog(IDD_ABOUTDLG)
{
	img.LoadResource(FindResource(g_hInst, MAKEINTRESOURCE(IDR_LOGO), TEXT("PNG")), CXIMAGE_FORMAT_PNG, g_hInst);
}

CAboutDialog::~CAboutDialog(void)
{
}

void CAboutDialog::OnPaint(void)
{
	PAINTSTRUCT ps;
	HDC hdc = BeginPaint(m_hWnd, &ps);

	RECT rcLogo;
	GetChildRect(IDC_LOGO, &rcLogo);

	img.Draw(hdc, rcLogo.left, rcLogo.top);
	EndPaint(m_hWnd, &ps);
}

void CAboutDialog::OnInitDialog(void)
{
	char str[MAX_PATH];
	GetModuleFileName(g_hInst, str, MAX_PATH);
	DWORD versionLS, versionMS;
	GetFileVersion(str, versionMS, versionLS);

	char strVer[255];
	Version2Str(versionMS, versionLS, strVer);
	char strText[255];
	wsprintf(strText, "v%s", strVer);

	SetDlgItemText(m_hWnd, IDC_VERSION, strText);
}

