#pragma once

class CSkin
{
	CxImage*	m_cmdln;
	RECT		m_cmdlnMargins;
	RECT		m_editMargins;
	COLORREF	m_textColor;
public:
	CSkin(void);
	virtual ~CSkin(void);
	void LoadDefault(void);
	void Clear(void);
	void Draw(HDC hdc, LPRECT rc);
	void GetCmdMargins(LPRECT margins) { *margins = m_editMargins; }
	COLORREF GetTextColor() { return m_textColor; }
	void Load(char* path);
private:
	void Str2Rect(char *str, LPRECT rc);
	COLORREF ParseColor(char* str);
};
