#include <windows.h>
#include "tversion.h"
#include <TCHAR.h>
#include <stdlib.h>


void GetFileVersion(LPCTSTR fileName, VERSION& ver)
{
	ver.versionMS = 0;
	ver.versionLS = 0;
	DWORD dw;
	DWORD verSize = GetFileVersionInfoSize((LPTSTR) fileName, &dw);
	if(verSize)
	{
		void* verData = malloc(verSize);
		if(GetFileVersionInfo((LPTSTR) fileName, NULL, verSize, verData))
		{
			VS_FIXEDFILEINFO* verInfo;
			UINT len = 0;
			if(VerQueryValue(verData, TEXT("\\"), (void**) &verInfo, &len))
			{
				ver.versionMS = verInfo->dwFileVersionMS;
				ver.versionLS = verInfo->dwFileVersionLS;
			}
		}
		free(verData);
	}
}

void Version2Str(VERSION& ver, LPTSTR str)
{
	DWORD v[4];
	v[0] = HIWORD(ver.versionMS);
	v[1] = LOWORD(ver.versionMS);
	v[2] = HIWORD(ver.versionLS);
	v[3] = LOWORD(ver.versionLS);
	int lastNum = 3;
	for(int i=3; i >=0; i--)
	{
		if(v[i])
		{
			lastNum = i;
			break;
		}
	}
	str[0] = 0;
	for(int i=0; i <= lastNum; i++)
	{
		TCHAR num[100];
		_itot(v[i], num, 10);
		lstrcat(str, num);
		if(i != lastNum)
		{
			lstrcat(str, _T("."));
		}
	}
}
