#pragma once

struct VERSION 
{
	DWORD versionMS;
	DWORD versionLS;
};

inline bool operator == (VERSION& v1, VERSION& v2)
{
	if(v1.versionMS == v2.versionMS && v1.versionLS == v2.versionLS)
	{
		return true;
	}
	return false;
}

inline bool operator >= (VERSION& v1, VERSION& v2)
{
	if(v1 == v2) return true;
	if(v1.versionMS > v2.versionMS)
	{
		return true;
	}
	if(v1.versionMS == v2.versionMS && v1.versionMS > v2.versionMS)
	{
		return true;
	}
	return false;
}

inline bool operator <= (VERSION& v1, VERSION& v2)
{
	if(v2 >= v1)
	{
		return true;
	}
	return false;
}

inline bool operator > (VERSION& v1, VERSION& v2)
{
	if(v1.versionMS > v2.versionMS)
	{
		return true;
	}
	if(v1.versionMS == v2.versionMS && v1.versionMS > v2.versionMS)
	{
		return true;
	}
	return false;
}

inline bool operator < (VERSION& v1, VERSION& v2)
{
	if(v2 > v1)
	{
		return true;
	}
	return false;
}

extern void Version2Str(VERSION& ver, LPTSTR str);
extern void GetFileVersion(LPCTSTR fileName, VERSION& ver);
